Resubmit the first submission-failed element in a pipeline
curl --request POST \
--url https://api.ionworks.com/pipelines/{pipeline_id}/resubmitimport requests
url = "https://api.ionworks.com/pipelines/{pipeline_id}/resubmit"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.ionworks.com/pipelines/{pipeline_id}/resubmit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"user_id": "<string>",
"description": "<string>",
"options": {
"live_progress_updates": true
},
"error": "<string>",
"error_code": "CONFIGURATION_ERROR",
"created_by_email": "<string>",
"elements": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Resubmit the first submission-failed element in a pipeline
Resubmit the pipeline’s first SUBMISSION_FAILED element.
Resubmit the first submission-failed element in a pipeline
Path Parameters
Response
Successful Response
Model for representing a pipeline with its elements in detail responses.
Available options:
pending, running, completed, failed, canceled Organization this pipeline belongs to.
Options for pipeline execution behavior.
Show child attributes
Show child attributes
Machine-readable error codes for jobs.
Available options:
CONFIGURATION_ERROR, MODEL_ERROR, SOLVER_ERROR, EXECUTION_TIMEOUT, SUBMISSION_FAILED, INTERNAL_ERROR Show child attributes
Show child attributes
Was this page helpful?